window.addEventListener("load", function () {
	"use strict";
	
	var viewport = document.getElementById("viewport");
	
	var up_key = document.getElementById("up-key");
	var down_key = document.getElementById("down-key");
	var left_key = document.getElementById("left-key");
	var right_key = document.getElementById("right-key");
	
	var menu_key = document.getElementById("menu-key");
	var plus_key = document.getElementById("plus-key");
	var minus_key = document.getElementById("minus-key");
	var o_key = document.getElementById("o-key");

	var gamescreen = new Game(viewport);
	gamescreen.loadMedia();
	
	function scaleViewport() {
		var w = window.innerWidth * 3 / 4;
		var h = w * (10 / 16);
		viewport.width = Math.floor(w);
		viewport.height = Math.floor(h);
		gamescreen.resize();
	};

	scaleViewport();

	window.addEventListener("resize", scaleViewport);
	
	up_key.addEventListener("click", function () {
		gamescreen.handleCommand("up");
	});
	down_key.addEventListener("click", function () {
		gamescreen.handleCommand("down");
	});
	left_key.addEventListener("click", function () {
		gamescreen.handleCommand("left");
	});
	right_key.addEventListener("click", function () {
		gamescreen.handleCommand("right");
	});
	
	menu_key.addEventListener("click", function () {
		gamescreen.handleCommand("menu");
	});	
	plus_key.addEventListener("click", function () {
		gamescreen.handleCommand("zoomIn");
	});
	minus_key.addEventListener("click", function () {
		gamescreen.handleCommand("zoomOut");
	});
	o_key.addEventListener("click", function () {
		gamescreen.handleCommand("action");
	});

	window.addEventListener("keydown", function (event) {
		var key = String.fromCharCode(event.keyCode);
		
		switch (key) {
			case '%':
			case 'A':
				left_key.click();
				break;
			case '(':
			case 'S':
				down_key.click();
				break;
			case '&':
			case 'W':
				up_key.click();
				break;
			case "'":
			case 'D':
				right_key.click();
				break;
			case "-":
			case "_":
				minus_key.click();
				break;
			case "+":
			case "=":
				plus_key.click();
				break;
			case " ":
				o_key.click();
				break;
			default:
				if (event.keyCode == 13)
					o_key.click();
				else if (event.keyCode == 27)
					menu_key.click();
		}
		event.stopPropagation();
	});

});
